<launch>

	<arg name="veh" default="RC" />
	<arg name="num" default="02" />
	<arg name="car" value="$(arg veh)$(arg num)" />

	<!-- visualization -->
	<node name="raven_car_vis" pkg="car_control" type="raven_car_vis.py" />
	
	<!-- Sim car -->
	<node name="projectOnPath" pkg="car_control" type="projectOnPath.py" ns="$(arg car)s" />
	<node name="turn_controller" pkg="car_control" type="turn_controller.py" ns="$(arg car)s" />
	<node name="state_track_server" pkg="car_control" type="state_track_server.py" ns="$(arg car)s" />
	<node name="car_joy" pkg="car_control" type="car_joy.py" args="xbox" ns="$(arg car)s"/>
	<include file="$(find raven_utils)/launch/joy.launch" />
	
</launch>

